changeset 511:633ade85e798 prerelease

Cleared build_pd_heavy
author Giulio Moro <giuliomoro@yahoo.it>
date Wed, 22 Jun 2016 04:53:06 +0100
parents 85ba865d3845
children 8e48dd7c8c23
files scripts/build_pd_heavy.sh
diffstat 1 files changed, 27 insertions(+), 26 deletions(-) [+]
line wrap: on
line diff
--- a/scripts/build_pd_heavy.sh	Wed Jun 22 03:28:26 2016 +0100
+++ b/scripts/build_pd_heavy.sh	Wed Jun 22 04:53:06 2016 +0100
@@ -12,7 +12,6 @@
 WATCH="0"
 FORCE="0"
 #make sure the paths have the trailing / . 
-projectpath="../tmp/heavy/hvtemp/"
 BBB_DEFAULT_PROJECT_NAME="heavyProject"
 COMMAND_ARGS=
 RUN_PROJECT=1
@@ -25,6 +24,8 @@
 [ -z $HVRESOURCES_DIR ] && HVRESOURCES_DIR=$SCRIPTDIR/hvresources/
 . $SCRIPTDIR.bela_common || { echo "You must be in Bela/scripts to run these scripts" | exit 1; }  
 
+projectpath="$SCRIPTDIR/../tmp/heavy/hvtemp/"
+
 if [ -z "$BELA_PYTHON27" ]; then
     for PY in python python2.7 ; do
         python --version 2>&1 | grep "2\.7" >/dev/null 2>&1
@@ -178,30 +179,30 @@
     else
         echo "Building and running project..."
         if [ $WATCH -eq 1 ]
-	then
-	   # try to emulate run_without_screen: run with fifo
-           if [ $RUN_WITHOUT_SCREEN -eq 1 ];
-	   then 
-	   	  ssh $BBB_ADDRESS "$MAKE_COMMAND runscreenfifo" & BACKGROUND_PROCESS_PID=$!
-		  # run this in the background, it will be killed anyhow when the process stops.
-		  # Either with the trap below or in another way
-                 trap "kill $BACKGROUND_PROCESS_PID; exit 0;" 2 9 
-		 # add the line below to the trap if you want to kill the process on the board when you exit the script
-		 # ssh -o ConnectTimeout 2 $BBB_ADDRESS make --no-print-directory -C $BBB_BELA_HOME stop ;
-	     else
-                 ssh $BBB_ADDRESS "$MAKE_COMMAND runscreen"
-	     fi
-        elif [ $RUN_WITHOUT_SCREEN -eq 1 ]
-        then
-            ssh -t $BBB_ADDRESS "$MAKE_COMMAND run" 
-        elif [ $RUN_IN_FOREGROUND -eq 1 ]
-        then
-            # Run in screen without detaching
-            ssh -t $BBB_ADDRESS "$MAKE_COMMAND runscreenfg"
-	else 
-            # Run in screen and detach
-            ssh $BBB_ADDRESS "$MAKE_COMMAND runscreen"
-        fi
+	       then
+	         # try to emulate run_without_screen: run with fifo
+              if [ $RUN_WITHOUT_SCREEN -eq 1 ];
+              then 
+	         	  ssh $BBB_ADDRESS "$MAKE_COMMAND runscreenfifo" & BACKGROUND_PROCESS_PID=$!
+	           # run this in the background, it will be killed anyhow when the process stops.
+	           # Either with the trap below or in another way
+                       trap "kill $BACKGROUND_PROCESS_PID; exit 0;" 2 9 
+	          # add the line below to the trap if you want to kill the process on the board when you exit the script
+	          # ssh -o ConnectTimeout 2 $BBB_ADDRESS make --no-print-directory -C $BBB_BELA_HOME stop ;
+	           else
+                ssh $BBB_ADDRESS "$MAKE_COMMAND runscreen"
+	           fi
+          elif [ $RUN_WITHOUT_SCREEN -eq 1 ]
+          then
+              ssh -t $BBB_ADDRESS "$MAKE_COMMAND run" 
+          elif [ $RUN_IN_FOREGROUND -eq 1 ]
+          then
+              # Run in screen without detaching
+              ssh -t $BBB_ADDRESS "$MAKE_COMMAND runscreenfg"
+          else 
+              # Run in screen and detach
+              ssh $BBB_ADDRESS "$MAKE_COMMAND runscreen"
+          fi
     fi
 } #uploadBuildRun
 
@@ -223,7 +224,7 @@
 				break
 			}
 			folder_has_changed "$HVRESOURCES_DIR" "$reference_time_file" && {
-				echo "Content of $pdpath has changed"
+				echo "Content of "$HVRESOURCES_DIR" has changed"
 				break
 			}
 		done